# endtask.h File Reference

`#include <ubixos/types.h>`
`#include <ubixos/sched.h>`

Include dependency graph for endtask.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions

void | endTask (pidType)

## Function Documentation

void endTask | ( | pidType |  | ) |

Definition at line 46 of file endtask.c.

References _current, DEAD, taskStruct::id, sched_setStatus(), and sched_yield().

Referenced by __sysctl(), _int0(), _int1(), _int10(), _int11(), _int12(), _int2(), _int3(), _int4(), _int5(), _int6(), _int9(), schedEndTask(), sysExec(), sysExit(), and vmm_pageFault().

Here is the call graph for this function: